SELECT FirstName, LastName, StartDate, Department.Name,
       RANK() OVER (PARTITION BY Department.DepartmentID ORDER BY StartDate) AS EmployeeRank
from HumanResources.Employee
 JOIN HumanResources.EmployeeDepartmentHistory 
   ON Employee.BusinessEntityID = EmployeeDepartmentHistory.BusinessEntityID
 JOIN HumanResources.Department
   ON EmployeeDepartmentHistory.DepartmentID = Department.DepartmentID
 JOIN Person.Person 
   ON Employee.BusinessEntityID = Person.BusinessEntityID
 WHERE EndDate IS null