OPEN DATABASE HOME(2) + "northwind\northwind"

SELECT EmployeeID, YEAR(OrderDate) as OrderYear, ;
	   SUM(UnitPrice * Quantity) AS TotalSales ;
	FROM Orders ;
	  JOIN OrderDetails ;
		ON Orders.OrderID = OrderDetails.OrderID ;
	GROUP BY 1, 2 ;
	INTO CURSOR EmpSalesByYear

SELECT FirstName, LastName, ;
       OrderYear, TotalSales ;
	FROM Employees ;
	  JOIN ( ;       
		SELECT ESBY1.EmployeeID, ;
		       ESBY1.OrderYear, ;
		       ESBY1.TotalSales ;
			FROM EmpSalesByYear ESBY1 ;
			  JOIN EmpSalesByYear ESBY2 ;
			    ON ESBY1.OrderYear = ESBY2.OrderYear ;
			   AND ESBY1.TotalSales <= ESBY2.TotalSales ;
			GROUP BY 1, 2,3 ;
			HAVING COUNT(*) <= 5) csrTop5;
		  ON Employees.EmployeeID = csrTop5.EmployeeID ;			
	ORDER BY OrderYear, TotalSales DESC ;		  
	INTO CURSOR csrTopEmployeeSalesByYear