OPEN DATABASE HOME(2) + "northwind\northwind"

CREATE CURSOR csrTopEmployeeSalesByYear ;
	(FirstName C(10), LastName C(20), ;
	 OrderYear N(4), TotalSales Y)
	 
SELECT distinct YEAR(OrderDate) AS OrderYear ;
	FROM Orders ;
	ORDER BY OrderYear ;
	INTO CURSOR csrYears 
	
LOCAL nYear
	
SCAN
	nYear = csrYears.OrderYear
	
	INSERT INTO csrTopEmployeeSalesByYear ;
		SELECT TOP 5 ;
		  FirstName, LastName, ;
          OrderYear, TotalSales ;
			FROM Employees ;
			  JOIN ( ;
			    SELECT EmployeeID, YEAR(OrderDate) as OrderYear, ;
  	                   SUM(UnitPrice * Quantity) AS TotalSales ;
  	              FROM Orders ;
	                JOIN OrderDetails ;
               		  ON Orders.OrderID = OrderDetails.OrderID ;
                  WHERE YEAR(OrderDate) = m.nYear ;
	              GROUP BY 1, 2) csrEmpSalesByYear ;			  
		        ON Employees.EmployeeID = csrEmpSalesByYear.EmployeeID ;
			ORDER BY TotalSales DESC

ENDSCAN 

USE IN csrYears
SELECT csrTopEmployeeSalesByYear 