DECLARE @iEmpID INT = 37;

SELECT EmpContact.FirstName AS EmpFirst, EmpContact.LastName AS EmpLast, 
       MgrContact.FirstName AS MgrFirst, MgrContact.LastName AS MgrLast   
  FROM Person.Contact EmpContact
    JOIN HumanResources.Employee Emp
      ON Emp.ContactID = EmpContact.ContactID
    JOIN HumanResources.Employee Mgr
      ON Emp.ManagerID = Mgr.EmployeeID
    JOIN Person.Contact MgrContact 
      ON Mgr.ContactID = MgrContact.ContactID
  WHERE Emp.EmployeeID = @iEmpID 