* Start with a single employee and determine all the people
* that employee manages, directly or indirectly.
LPARAMETERS iEmpID

LOCAL iCurrentID, iLevel, cFirst, cLast, nCurRecNo, cMgrFirst, cMgrLast

OPEN DATABASE HOME(2) + "Northwind\Northwind"

CREATE CURSOR MgrHierarchy (cFirst C(15), cLast C(20), iLevel I, cMgrFirst C(15), cMgrLast C(15))
CREATE CURSOR EmpsToProcess (EmployeeID I, cFirst C(15), cLast C(20), iLevel I, cMgrFirst C(15), cMgrLast C(15))

INSERT INTO EmpsToProcess ;
	SELECT m.iEmpID, FirstName, LastName, 1, "", "" ;
		FROM Employees ;
		WHERE EmployeeID = m.iEmpID
		
SELECT EmpsToProcess		

SCAN 
	iCurrentID = EmpsToProcess.EmployeeID
	iLevel = EmpsToProcess.iLevel
	cFirst = EmpsToProcess.cFirst
	cLast = EmpsToProcess.cLast
	cMgrFirst = EmpsToProcess.cMgrFirst
	cMgrLast = EmpsToProcess.cMgrLast
	
	* Insert this records into result
	INSERT INTO MgrHierarchy ;
		VALUES (m.cFirst, m.cLast, m.iLevel, m.cMgrFirst, m.cMgrLast)
		
	* Grab the current record pointer
	nCurRecNo = RECNO("EmpsToProcess")
	
	INSERT INTO EmpsToProcess ;
		SELECT EmployeeID, FirstName, LastName, m.iLevel + 1, m.cFirst, m.cLast ;
			FROM Employees ;
			WHERE ReportsTo = m.iCurrentID 
		
	* Restore record pointer
	GO m.nCurRecNo IN EmpsToProcess
ENDSCAN 

SELECT MgrHierarchy
