SELECT Country, ;
       City, ;
       YEAR(OrderDate) AS OrderYear, ;
       MONTH(OrderDate) AS OrderMonth, ;
       SUM(Quantity * OrderDetails.UnitPrice) AS nTotal, ;
       AVG(Quantity * OrderDetails.UnitPrice) AS nAvg, ;
       COUNT(*) AS nCount ;
	FROM Customers ;
	  JOIN Orders ;
	    ON Customers.CustomerID = Orders.CustomerID ;
	  JOIN OrderDetails ;
	    ON Orders.OrderID = OrderDetails.OrderID ;
	GROUP BY OrderYear, OrderMonth, Country, City ;
	ORDER BY Country, City, OrderYear, OrderMonth ;
	INTO CURSOR csrCtyTotals