OPEN DATABASE FORCEPATH("Northwind", ADDBS(_samples) + "Northwind")

SELECT DISTINCT Orders.OrderID, Products.ProductName ;
	FROM Orders ;
		JOIN OrderDetails ;
		  ON Orders.OrderID = OrderDetails.OrderID ;
		JOIN Products ;
		  ON OrderDetails.ProductID = Products.ProductID ;
	ORDER BY Orders.OrderID, ProductName ;
	INTO CURSOR csrOrderProducts
	
LOCAL cProducts, cCurOrderID
CREATE CURSOR csrOrderProductList (iOrderID I, cProducts C(150))

SELECT csrOrderProducts
cCurOrderID = csrOrderProducts.OrderID
cProducts = ''

SCAN 
	IF csrOrderProducts.OrderID <> m.cCurOrderID
		* Finished this order
		INSERT INTO csrOrderProductList VALUES (m.cCurOrderID, SUBSTR(m.cProducts, 3))
		cProducts = ''
		cCurOrderID = csrOrderProducts.OrderID
	ENDIF 
	
	cProducts = m.cProducts + ', ' + ALLTRIM(csrOrderProducts.ProductName)
ENDSCAN 