OPEN DATABASE HOME(2) + "northwind\northwind"

SELECT EmployeeID, YEAR(OrderDate) as OrderYear, ;
	   SUM(UnitPrice * Quantity) AS TotalSales ;
	FROM Orders ;
	  JOIN OrderDetails ;
		ON Orders.OrderID = OrderDetails.OrderID ;
	GROUP BY 1, 2 ;
	INTO CURSOR csrEmpSalesByYear

CREATE CURSOR csrTopEmployeeSalesByYear ;
	(FirstName C(10), LastName C(20), ;
	 OrderYear N(4), TotalSales Y)
	 
SELECT distinct OrderYear ;
	FROM csrEmpSalesByYear ;
	ORDER BY OrderYear ;
	INTO CURSOR csrYears 
	
LOCAL nYear
	
SCAN
	nYear = csrYears.OrderYear
	
	INSERT INTO csrTopEmployeeSalesByYear ;
		SELECT TOP 5 ;
		  FirstName, LastName, ;
          OrderYear, TotalSales ;
			FROM Employees ;
			  JOIN csrEmpSalesByYear ;			  
		        ON Employees.EmployeeID = csrEmpSalesByYear.EmployeeID ;
		    WHERE csrEmpSalesByYear.OrderYear = m.nYear ;
			ORDER BY TotalSales DESC

ENDSCAN 

USE IN csrYears
USE IN csrEmpSalesByYear
SELECT csrTopEmployeeSalesByYear 